package com.eactive.eai.agent.bizkey;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.bizkey.BizKeyManager;
import com.eactive.eai.common.util.Logger;

public class RemoveBizKeyCommand extends Command {

	private static final long serialVersionUID = 1L;

	public RemoveBizKeyCommand() {
		super("RemoveBizKeyCommand");
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		try {
			BizKeyManager manager = BizKeyManager.getInstance();
			String keyName = (String) args;
			if (keyName != null) {
				String[] keys = keyName.split(",");
				manager.removeBizKey(keys[0] + keys[1]);
			}

		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";

	}

}
